org.eclipse.core.databinding.observable.value

## Class ValueDiff<T>

- java.lang.Object
- - org.eclipse.core.databinding.observable.value.ValueDiff<T>

Type Parameters:
  `T` - the type of value being observed

All Implemented Interfaces:
  IDiff

    public abstract class ValueDiff<T>
    extends Object
    implements IDiff

Since:
  1.0

### Constructor Summary

Constructors
Constructor and Description
`ValueDiff()` Creates a value diff.

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`boolean` `equals(Object obj)`
`abstract T` `getNewValue()`
`abstract T` `getOldValue()`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ValueDiff

    public ValueDiff()

Creates a value diff.

### Method Detail

#### getOldValue

    public abstract T getOldValue()

Returns:
  the old value

#### getNewValue

    public abstract T getNewValue()

Returns:
  the new value

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`
See Also:
  `Object.toString()`